# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
com.google.testing.compile.Compiler.withClasspathFrom(ClassLoader)
prefer `Compiler.withClasspath(Iterable)`. This method only supports `URLClassLoader` and the default system classloader, and `File`s are usually a more natural way to expression compilation classpaths than class loaders.
com.google.testing.compile.JavaSourcesSubject.SingleSourceAdapter.withClasspathFrom(ClassLoader)
prefer `JavaSourcesSubject.SingleSourceAdapter.withClasspath(Iterable)`. This method only supports `URLClassLoader` and the default system classloader, and `File`s are usually a more natural way to expression compilation classpaths than class loaders.
com.google.testing.compile.JavaSourcesSubject.withClasspathFrom(ClassLoader)
prefer `JavaSourcesSubject.withClasspath(Iterable)`. This method only supports `URLClassLoader` and the default system classloader, and `File`s are usually a more natural way to expression compilation classpaths than class loaders.
com.google.testing.compile.ProcessedCompileTesterFactory.withClasspathFrom(ClassLoader)
prefer `ProcessedCompileTesterFactory.withClasspath(Iterable)`. This method only supports `URLClassLoader` and the default system classloader, and `File`s are usually a more natural way to expression compilation classpaths than class loaders.